Get All Docket Searches
curl --request GET \
--url https://api.baselayer.com/docket_searches \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/docket_searches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/docket_searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Docket Search
Get All Docket Searches
This endpoint returns all docket searches.
GET
/
docket_searches
Get All Docket Searches
Authorizations
Query Parameters
The maximum number of docket searches to return.
Required range:
x >= 1The number of docket searches to skip before starting to return the docket searches.
Required range:
x >= 0The type of docket searches to return.
Available options:
Business, Person, BusinessSearch Examples:
"Business"
"Person"
"BusinessSearch"
Response
Successful Response
The identifier of this docket search request.
The current state of the docket search request.
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The identifier of the business the search was performed for.
The identifier of the person the search was performed for.
The identifier of the business search the docket search was performed for